package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.expr.SQLCharExpr;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbRaftMemberChangeStatement extends MariadbStatementImpl {
   private SQLCharExpr shard;
   private SQLCharExpr host;
   private SQLCharExpr status;
   private boolean force;
   private boolean noLeader;

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.shard);
         this.acceptChild(visitor, this.host);
         this.acceptChild(visitor, this.status);
      }

      visitor.endVisit(this);
   }

   public SQLCharExpr getShard() {
      return this.shard;
   }

   public void setShard(SQLCharExpr shard) {
      this.shard = shard;
   }

   public SQLCharExpr getHost() {
      return this.host;
   }

   public void setHost(SQLCharExpr host) {
      this.host = host;
   }

   public SQLCharExpr getStatus() {
      return this.status;
   }

   public void setStatus(SQLCharExpr status) {
      this.status = status;
   }

   public boolean isForce() {
      return this.force;
   }

   public void setForce(boolean force) {
      this.force = force;
   }

   public boolean isNoLeader() {
      return this.noLeader;
   }

   public void setNoLeader(boolean noLeader) {
      this.noLeader = noLeader;
   }
}
